package com.mvc.dao;

import com.mvc.entity.TCustomr;
import com.mvc.entity.TCustomrExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TCustomrMapper {
    long countByExample(TCustomrExample example);

    int deleteByExample(TCustomrExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TCustomr record);

    int insertSelective(TCustomr record);

    List<TCustomr> selectByExample(TCustomrExample example);

    TCustomr selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TCustomr record, @Param("example") TCustomrExample example);

    int updateByExample(@Param("record") TCustomr record, @Param("example") TCustomrExample example);

    int updateByPrimaryKeySelective(TCustomr record);

    int updateByPrimaryKey(TCustomr record);
}